*Inheritance: Interpolant →*

# LinearInterpolant

A basic linear interpolant.

## Constructor

### new LinearInterpolant( parameterPositions : TypedArray, sampleValues : TypedArray, sampleSize : number, resultBuffer : TypedArray )

Constructs a new linear interpolant.

**parameterPositions**

The parameter positions hold the interpolation factors.

**sampleValues**

The sample values.

**sampleSize**

The sample size

**resultBuffer**

The result buffer.

## Source

[src/math/interpolants/LinearInterpolant.js](https://github.com/mrdoob/three.js/blob/master/src/math/interpolants/LinearInterpolant.js)